Groovy 1.7.0

## groovy.util
Class ObservableList.ObservableListIterator

    java.lang.Object
      ObservableIterator
          groovy.util.ObservableList.ObservableListIterator

All Implemented Interfaces:
  ListIterator

    class ObservableList.ObservableListIterator
    extends ObservableIterator

Constructor Summary
`ObservableList.ObservableListIterator(ListIterator iterDelegate, int index)`

Method Summary
`void` | `add(Object o)`
`ListIterator` | `getListIterator()`
`boolean` | `hasPrevious()`
`int` | `nextIndex()`
`Object` | `previous()`
`int` | `previousIndex()`
`void` | `set(Object o)`

Constructor Detail

### ObservableList.ObservableListIterator

    public ObservableList.ObservableListIterator(ListIterator iterDelegate, int index)

Method Detail

### add

    public void add(Object o)

### getListIterator

    public ListIterator getListIterator()

### hasPrevious

    public boolean hasPrevious()

### nextIndex

    public int nextIndex()

### previous

    public Object previous()

### previousIndex

    public int previousIndex()

### set

    public void set(Object o)

Copyright © 2003-2009 The Codehaus. All rights reserved.